[Overview][Classes][Procedures and functions][Index] | Reference for unit 'AsyncProcess' (#lcl)

# TAsyncProcess.Destroy

Destructor for the class instance.

## Declaration

Source position: asyncprocess.pp line 49

`public destructor TAsyncProcess.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy calls UnhookProcessHandle and UnhookPipeHandle to remove the handler(s) for the class instance. Destroy calls the inherited method to free resources allocated in the class instance and perform free notifications.

## See also

TAsyncProcess.UnhookProcessHandle |  | Removes the process handler assigned for the process.
TAsyncProcess.UnhookPipeHandle |  | Removes the pipe handler assigned for the process.
TProcess.Destroy